program Nadovezivanje;
uses sysutils;
var
n1,n2,n3,max,k1,k2,k3,k4,k5,k6:longint;
begin
read(n1);
read(n2);
readln(n3);

k1:=strtoint(concat(inttostr(n1),inttostr(n2),inttostr(n3)));
k2:=strtoint(concat(inttostr(n1),inttostr(n3),inttostr(n2)));
k3:=strtoint(concat(inttostr(n2),inttostr(n1),inttostr(n3)));
k4:=strtoint(concat(inttostr(n2),inttostr(n3),inttostr(n1)));
k5:=strtoint(concat(inttostr(n3),inttostr(n1),inttostr(n2)));
k6:=strtoint(concat(inttostr(n3),inttostr(n2),inttostr(n1)));

max:=k1;
if k2>max then max:=k2;
if k3>max then max:=k3;
if k4>max then max:=k4;
if k5>max then max:=k5;
if k6>max then max:=k6;

write(max);
end.